Package org.apache.tapestry5.corelib.data

## Enum BlankOption

- java.lang.Object
- - java.lang.Enum<BlankOption>
  - - org.apache.tapestry5.corelib.data.BlankOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<BlankOption>`

      public enum BlankOption
      extends java.lang.Enum<BlankOption>

  Used with the `Select` component to control whether an initial blank option is supplied. Determines the optionality of the undelrying property from the Select's validate parameter

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` | Always include the blank option, even if the underlying property is required.
    `AUTO` | The default: include the blank option if the underlying property is optional.
    `NEVER` | Never include the blank option, even if the underlying property is optional.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BlankOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static BlankOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final BlankOption ALWAYS

      Always include the blank option, even if the underlying property is required.

    - #### NEVER

          public static final BlankOption NEVER

      Never include the blank option, even if the underlying property is optional.

    - #### AUTO

          public static final BlankOption AUTO

      The default: include the blank option if the underlying property is optional.

  - ### Method Detail

    - #### values

          public static BlankOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BlankOption c : BlankOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlankOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null